You do not meet the requirements for this item

General Discussion
Twice I've encountered lvl 59-60 items (I'm 60) that are unequippable with the message "You do not meet the requirements for this item". Bug? Or am I missing something?
i am getting the same thing, kinda feels pointless playing atm if i find upgrades i cant equip :/
They require higher levels, just link them in chat and the "real" requirement should show. No idea if those are supposed to drop though.
Earlier in the General chat we had one player having the same issue. When we asked him to link the item it showed for everyone else that the required level to wear the item was 61 while for him it showed it as lvl 59. Sounds bit like you have the same issue but not sure how to fix it. Tried relogging?
Also experienced a similar problem with linking.

I have 6% CC bracers, crafted pre-2.0. If I link to chat, and you click on the link, it shows 5.5% CC and bit less dex.
It's a display bug. I'm willing to bet it's always been on wizard hats as well. Had this same bug occur like 5 times now. Wizard hat every single time.
Yep, having this issue with a level 59 wizard hat myself.
27/02/2014 02:59Posted by ThePirate
It's a display bug. I'm willing to bet it's always been on wizard hats as well. Had this same bug occur like 5 times now. Wizard hat every single time.


It also happened to me and it wasn't a wizard hat, it was the source that is a book.
I also had this issue with a Source, the one with 3 bluish spheres. The item is "locked" (with the lock icon) although it says Required Level: 60 (and I am L60!).
I had the same issue :( Found one Wizard hat and two sources yesterday which I couldn't equipt -.-

They were just "locked"!

btw: How do I link stuff in the chat?? I forgot xD
Same with a Wizard hat, for me shows as 59 Required Level, but when put into link I see on the tooltip it says 61.

Join the Conversation

Return to Forum